
QGIS Application - Bug report #17980

"resources/data/world_map.shp" should be only accessed read-only

2018-01-27 03:33 PM - Johannes Kroeger

Status: Open

Priority: Low

Assignee:

Category: Unknown

Affected QGIS version:3.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25876

Description

QGIS tells me

Warning 4: Failed to open /opt/qgis-git/share/qgis/resources/data/world_map.shp, Permission denied.

The file exists and is world readable

-rw-r--r-- 1 root root 528032 Jan 23 23:06 /opt/qgis-git/share/qgis/resources/data/world_map.shp

strace suggests that QGIS is trying to access the file with write access.

openat(AT_FDCWD, "/opt/qgis-git/share/qgis/resources/data/world_map.shp", O_RDONLY) = 76

openat(AT_FDCWD, "/opt/qgis-git/share/qgis/resources/data/world_map.shp", O_RDWR) = -1 EACCES (Permission denied)

stat("/opt/qgis-git/share/qgis/resources/data/world_map.shp", {st_mode=S_IFREG|0644, st_size=528032, ...}) = 0

stat("/opt/qgis-git/share/qgis/resources/data/world_map.shp", {st_mode=S_IFREG|0644, st_size=528032, ...}) = 0

openat(AT_FDCWD, "/opt/qgis-git/share/qgis/resources/data/world_map.shp", O_RDONLY) = 76

stat("/opt/qgis-git/share/qgis/resources/data/world_map.shp", {st_mode=S_IFREG|0644, st_size=528032, ...}) = 0

openat(AT_FDCWD, "/opt/qgis-git/share/qgis/resources/data/world_map.shp", O_RDWR) = -1 EACCES (Permission denied)

As the file is used as source for the CRS display it does only require read access.

Opening it in read-only mode should get rid of the warning and be what was intended. :)

Related issues:

Related to QGIS Application - Bug report # 17549: WARNING	Cannot open /usr/sh... Closed 2017-11-25

History

#1 - 2018-05-02 12:31 PM - Jürgen Fischer

- Duplicates Bug report #17549: WARNING	Cannot open /usr/share/qgis/resources/data/world_map.shp.() added

#2 - 2018-05-02 12:31 PM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to duplicate
#3 - 2018-05-02 12:36 PM - Jürgen Fischer

- Resolution changed from duplicate to worksforme

This is harmless - OGR tries to open r/w and falls back to r/o after that. But this is just for the map display in the CRS selection dialog.

#4 - 2018-05-02 12:36 PM - Jürgen Fischer

- Duplicates deleted (Bug report #17549: WARNING	Cannot open /usr/share/qgis/resources/data/world_map.shp.())

#5 - 2018-05-02 12:36 PM - Jürgen Fischer

- Related to Bug report #17549: WARNING	Cannot open /usr/share/qgis/resources/data/world_map.shp.() added

#6 - 2018-05-02 06:46 PM - Johannes Kroeger

- Status changed from Closed to Reopened

Harmless but: annoying and confusing in the terminal.

#7 - 2018-05-02 06:48 PM - Jürgen Fischer

- Assignee set to Johannes Kroeger

- Resolution deleted (worksforme)

#8 - 2019-03-09 04:34 PM - Giovanni Manghi

- Status changed from Reopened to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.

#9 - 2019-03-16 10:19 PM - Johannes Kroeger

- Status changed from Feedback to Open

Still happening in 3.6.0-Noosa.

#10 - 2019-03-16 10:20 PM - Giovanni Manghi

- Affected QGIS version changed from master to 3.6.0

- Assignee deleted (Johannes Kroeger)
